Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto
Class CryptoServicesPermission

    java.lang.Object
      java.security.Permission
          org.bouncycastle.crypto.CryptoServicesPermission

All Implemented Interfaces:
  java.security.Guard, java.io.Serializable

public class CryptoServicesPermission
extends java.security.Permission

Permissions that need to be configured if a SecurityManager is used.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CONSTRAINTS` Enable the setting of the constraints.
`static java.lang.String` | `DEFAULT_RANDOM` Enable the setting of the default SecureRandom.
`static java.lang.String` | `GLOBAL_CONFIG` Enable the setting of global configuration properties.
`static java.lang.String` | `THREAD_LOCAL_CONFIG` Enable the setting of thread local configuration properties.

Constructor Summary
`CryptoServicesPermission(java.lang.String name)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getActions()`
`int` | `hashCode()`
`boolean` | `implies(java.security.Permission permission)`

Methods inherited from class java.security.Permission
`checkGuard, getName, newPermissionCollection, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### GLOBAL_CONFIG

    public static final java.lang.String GLOBAL_CONFIG

  Enable the setting of global configuration properties. This permission implies THREAD_LOCAL_CONFIG

  See Also:
    Constant Field Values

### THREAD_LOCAL_CONFIG

    public static final java.lang.String THREAD_LOCAL_CONFIG

  Enable the setting of thread local configuration properties.

  See Also:
    Constant Field Values

### DEFAULT_RANDOM

    public static final java.lang.String DEFAULT_RANDOM

  Enable the setting of the default SecureRandom.

  See Also:
    Constant Field Values

### CONSTRAINTS

    public static final java.lang.String CONSTRAINTS

  Enable the setting of the constraints.

  See Also:
    Constant Field Values

Constructor Detail

### CryptoServicesPermission

    public CryptoServicesPermission(java.lang.String name)

Method Detail

### implies

    public boolean implies(java.security.Permission permission)

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### getActions

    public java.lang.String getActions()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD